﻿@page
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.ListModel
@{
    ViewData[TITLE] = StringLocalizer.GetString("UserList");
}

<div class="row">
    <div class="col">
        <form method="get">
            <div class="mt-30 mb-40">
                <p>@StringLocalizer.GetString("OnlyOneFilter")</p>
                <div class="row mt-2">
                    <label class="control-label col-sm-2">@StringLocalizer.GetString("UserName")</label>
                    <div class="col-sm-4">
                        <input class="form-control" asp-for="@Model.Filter.UserName" />
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-2">@StringLocalizer.GetString("AccountName")</label>
                    <div class="col-sm-4">
                        <input class="form-control" asp-for="@Model.Filter.AccountName" />
                    </div>
                </div>
                

                <div class="row mt-2">
                    <div class="col-md-6">
                        <div class="row">
                            <label class="control-label col-sm-4">@StringLocalizer.GetString("Realm")</label>
                            <div class="col-sm-8">
                                <select class="form-control" asp-for="Filter.RealmID">
                                    @foreach (var realm in Model.Realms)
                                    {
                                        <option value="@realm.RealmID">@realm.RealmName</option>
                                    }
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="row">
                            <label class="control-label col-sm-4">@StringLocalizer.GetString("Name")</label>
                            <div class="col-sm-8">
                                <input class="form-control" asp-for="@Model.Filter.CharacterName" />
                            </div>
                        </div>
                    </div>
                </div>
                
                <button class="btn btn-primary" type="submit">@StringLocalizer.GetString("Search")</button>
            </div>
        </form>
    </div>
</div>
<hr />
<div class="row">
    <div class="table-responsive">
        <table class="table table-hover">
            <caption>@StringLocalizer["UserList"]</caption>
            <thead>
                <tr>
                    <th>@StringLocalizer.GetString("UserName")</th>
                    <th>@StringLocalizer.GetString("Email")</th>
                    <th>@StringLocalizer.GetString("Accounts")</th>
                    <th>@StringLocalizer.GetString("Characters")</th>
                    <th>@StringLocalizer.GetString("CreationDate")</th>
                    <th>@StringLocalizer.GetString("Action")</th>
                </tr>
            </thead>
            <tbody>
                @if (Model.Users.Count == 0)
                {
                    <tr>
                        <td colspan="6">@StringLocalizer.GetString("NoUsers")</td>
                    </tr>
                }
                else
                {
                    @foreach (var user in Model.Users)
                    {
                        <tr>
                            <td>@user.UserName</td>
                            <td>@user.Email</td>
                            <td>
                                @foreach (var account in user.Accounts)
                                {
                                    <p class="mb-0">@account</p>
                                }
                            </td>
                            <td>
                                @if (user.Characters.Count == 0)
                                {
                                    @StringLocalizer.GetString("NoGameCharacters")
                                }
                                else
                                {
                                    foreach (var character in user.Characters)
                                    {
                                        <p class="mb-0">@character</p>
                                    }
                                }
                            </td>
                            <td>
                                @user.CreationDate
                            </td>
                            <td>
                                <a asp-area="User" asp-page="/Index" asp-route-AccountID="@user.Id"><i class="fa-solid fa-edit" aria-hidden="true"></i></a>
                            </td>
                        </tr>
                    }
                }
            </tbody>
        </table>
    </div>
</div>